import request from '../index'
const prefix = 'sys'
// 组织查询
export function getDeptList(params: object) {
  return request({
    url: `${prefix}/dept/list`,
    method: 'get',
    params,
  })
}
// 组织机构树列表
export function getDeptTreeList(params?: { deptType: string }) {
  return request({
    url: `${prefix}/dept/tree`,
    method: 'get',
    params,
  })
}

// 组织机构树列表
export function getDeptTreeListByPid(pid: string) {
  return request({
    url: `${prefix}/dept/listByPid`,
    method: 'get',
    params: {
      pid,
    },
  })
}
// 根据角色获取组织机构树列表
export function getDeptTreeByRole(roleId: string) {
  return request({
    url: `${prefix}/role/treeByRoleId`,
    method: 'get',
    params: {
      roleId,
    },
  })
}

// 添加组织机构
export function addDept(data: object) {
  return request({
    url: '/sys/dept/add',
    method: 'post',
    data,
  })
}
// 修改组织机构
export function updateDept(data: object) {
  return request({
    url: '/sys/dept/update',
    method: 'post',
    data,
  })
}
// 删除组织机构
export function delDept(id: string) {
  return request({
    url: '/sys/dept/delete',
    method: 'post',
    data: {
      id,
    },
  })
}

// 资源类型列表
export function getDeptTypeList() {
  return request({
    url: `${prefix}/dict/code/deptType`,
    method: 'get',
  })
}
